跳转到主要内容
POST
/
datasets
/
v3
/
deliver
/
{snapshot_id}
cURL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/deliver/{snapshot_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deliver": {
    "type": "webhook",
    "filename": {
      "template": "<string>",
      "extension": "json"
    },
    "endpoint": "<string>"
  },
  "compress": false
}
'
{
  "delivery_id": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

snapshot_id
string
必填

The ID that was returned when the collection was triggered

示例:

"s_m4x7enmven8djfqak"

查询参数

notify
string

URL where a notification will be sent once the delivery is finished

示例:

"https://notify-me.com/"

请求体

application/json
deliver
Webhook · object

Deliver configuration

compress
boolean
默认值:false

Deliver file compressed in gzip format

响应

200 - application/json

OK

delivery_id
string

ID of your delivery request that can be used in Monitor Delivery API